Loading...
Searching...
No Matches
pageout.c File Reference

Segment page-out routines. More...

`#include <stdio.h>`
`#include <unistd.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
`#include "local_proto.h"`
Include dependency graph for pageout.c:

Go to the source code of this file.

## Functions

int | seg_pageout (SEGMENT *SEG, int i)
| Internal use only.

## Detailed Description

Segment page-out routines.

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  GRASS Development Team

Date
  2005-2009

Definition in file pageout.c.

## Function Documentation

## seg_pageout()

int seg_pageout | ( | SEGMENT * | SEG,
|  | int | i )

Internal use only.

Pages segment to disk.

Finds segment value i in segment seg and pages it out to disk.

Parameters

  [in] | SEG | segment
  [in] | i | segment value

Returns
  1 if successful
  -1 on error

Definition at line 37 of file pageout.c.

References err(), and G_warning().

Referenced by seg_pagein(), and Segment_flush().